/* The temporary file for testing.
   It contents will be placed into 'stdlib.h'.
 */

static __inline__ __attribute__((__always_inline__))
char *itoa (int __x, char *__s, int __radix)
{
    if (__radix < 2 || __radix > 36) {
	*__s = 0;
	return __s;
    } else {
	extern char *__itoa_asm (int, char *, unsigned char);
	return __itoa_asm (__x, __s, __radix);
    }
}

static __inline__ __attribute__((__always_inline__))
char *utoa (unsigned __x, char *__s, int __radix)
{
    if (__radix < 2 || __radix > 36) {
	*__s = 0;
	return __s;
    } else {
	extern char *__utoa_asm (unsigned, char *, unsigned char);
	return __utoa_asm (__x, __s, __radix);
    }
}
